{
  "openapi": "3.0.1",
  "info": {
    "title": "Apollo Companies Leads Scraper",
    "description": "This API can scrape structured companies data from Apollo.io, including emails and phone numbers. It does not require Apollo account cookies or authentication.",
    "version": "1.1",
    "x-build-id": "SgHjifgPeQkNzBSKT"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/coladeu~apollo-organizations-scraper/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-coladeu-apollo-organizations-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/coladeu~apollo-organizations-scraper/runs": {
      "post": {
        "operationId": "runs-sync-coladeu-apollo-organizations-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/coladeu~apollo-organizations-scraper/run-sync": {
      "post": {
        "operationId": "run-sync-coladeu-apollo-organizations-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "required": [
          "number_of_pages_to_scrape"
        ],
        "properties": {
          "apollo_url": {
            "title": "Apollo URL (Optional)",
            "type": "string",
            "description": "Full Apollo URL with filters. E.g. https://app.apollo.io/#/companies?page=1. When provided, overrides all other filter parameters."
          },
          "q_organization_name": {
            "title": "Organization Name",
            "type": "string",
            "description": "Organization name to search for. If the value doesn't match a company's name, the company will not appear in results."
          },
          "organization_ids": {
            "title": "Organization IDs",
            "type": "array",
            "description": "Enter Apollo IDs for companies to include in search results. Examples: 6e37b6381e05b4008c8331b8, 1e5636381e05b4308c8331b8.",
            "items": {
              "type": "string"
            }
          },
          "page": {
            "title": "Page",
            "minimum": 1,
            "type": "integer",
            "description": "Starting page number for scraping. If apollo_url is provided and this field is not set, the page number will be automatically extracted from the apollo_url query parameters. If both are provided, this explicit Page value will override the page number from apollo_url. Defaults to 1 if neither is provided.",
            "default": 1
          },
          "number_of_pages_to_scrape": {
            "title": "Number of Pages to Scrape",
            "minimum": 1,
            "maximum": 100,
            "type": "integer",
            "description": "Number of pages to scrape sequentially. The scraper will start from the determined starting page (from Page field or extracted from apollo_url), then increment the page number by 1 for each subsequent request. Between each page request, there will be a random delay of 10-15 seconds. Scraping will stop when: (1) the specified number of pages have been scraped, (2) page 100 is reached (maximum limit), or (3) a page returns no organizations. All organizations from all scraped pages will be collected and saved together.",
            "default": 1
          },
          "organization_locations": {
            "title": "Organization Locations",
            "type": "array",
            "description": "Enter locations (cities, US states, countries) for company headquarters. Examples: texas, tokyo, spain, california.",
            "items": {
              "type": "string"
            }
          },
          "organization_not_locations": {
            "title": "Exclude Locations",
            "type": "array",
            "description": "Enter locations to exclude from search results. Examples: minnesota, ireland, seoul.",
            "items": {
              "type": "string"
            }
          },
          "organization_location_name": {
            "title": "Location Name (Radius Search)",
            "type": "string",
            "description": "Address, City, or ZIP code for radius-based location filtering. Use with organization_location_radius."
          },
          "organization_location_radius": {
            "title": "Location Radius (Miles)",
            "minimum": 25,
            "maximum": 300,
            "type": "integer",
            "description": "Radius in miles for location filtering. Must be used with organization_location_name. Valid values: 25, 50, 100, or 300"
          },
          "organization_num_employees_ranges": {
            "title": "Employee Ranges",
            "type": "array",
            "description": "Select one or more employee count ranges for the organization. 10001 represents 10,000+ employees.",
            "items": {
              "type": "string",
              "enum": [
                "1-10",
                "1-20",
                "21-50",
                "51-100",
                "101-200",
                "201-500",
                "501-1000",
                "1001-2000",
                "2001-5000",
                "5001-10000",
                "10001"
              ]
            }
          },
          "organization_industry_tag_ids": {
            "title": "Industry Tag IDs",
            "type": "array",
            "description": "Enter industry tag IDs to filter companies. Examples: 5567e1337369641ad2970000, 5567e36f73696431a4970000.",
            "items": {
              "type": "string"
            }
          },
          "q_organization_keyword_tags": {
            "title": "Organization Keywords",
            "type": "array",
            "description": "Enter keywords associated with companies. Examples: mining, sales strategy, consulting, technology, healthcare.",
            "items": {
              "type": "string"
            }
          },
          "revenue_range_min": {
            "title": "Revenue Range (Min)",
            "type": "number",
            "description": "Minimum organization revenue."
          },
          "revenue_range_max": {
            "title": "Revenue Range (Max)",
            "type": "number",
            "description": "Maximum organization revenue."
          },
          "currently_using_any_of_technology_uids": {
            "title": "Technologies Used",
            "type": "array",
            "description": "Enter technology UIDs that organizations currently use. Use underscores (_) to replace spaces and periods. Examples: salesforce, google_analytics, wordpress_org.",
            "items": {
              "type": "string"
            }
          },
          "latest_funding_amount_range_min": {
            "title": "Latest Funding Amount (Min)",
            "type": "number",
            "description": "Minimum amount from most recent funding round."
          },
          "latest_funding_amount_range_max": {
            "title": "Latest Funding Amount (Max)",
            "type": "number",
            "description": "Maximum amount from most recent funding round."
          },
          "total_funding_range_min": {
            "title": "Total Funding Range (Min)",
            "type": "number",
            "description": "Minimum total funding amount across all rounds."
          },
          "total_funding_range_max": {
            "title": "Total Funding Range (Max)",
            "type": "number",
            "description": "Maximum total funding amount across all rounds."
          },
          "latest_funding_date_range_min": {
            "title": "Latest Funding Date (From)",
            "type": "string",
            "description": "Earliest date of most recent funding round (YYYY-MM-DD)."
          },
          "latest_funding_date_range_max": {
            "title": "Latest Funding Date (To)",
            "type": "string",
            "description": "Latest date of most recent funding round (YYYY-MM-DD)."
          },
          "market_segments": {
            "title": "Market Segments",
            "type": "array",
            "description": "Select one or more market segments.",
            "items": {
              "type": "string",
              "enum": [
                "b2b",
                "b2c",
                "b2b2c",
                "e-commerce",
                "fintech",
                "d2c",
                "saas"
              ]
            }
          },
          "q_organization_job_titles": {
            "title": "Job Titles",
            "type": "array",
            "description": "Enter job titles in active job postings at the company. Examples: sales manager, research analyst, software engineer.",
            "items": {
              "type": "string"
            }
          },
          "organization_job_locations": {
            "title": "Job Locations",
            "type": "array",
            "description": "Enter locations of jobs being actively recruited. Examples: atlanta, japan, new york, california.",
            "items": {
              "type": "string"
            }
          },
          "organization_num_jobs_range_min": {
            "title": "Number of Jobs (Min)",
            "minimum": 0,
            "type": "integer",
            "description": "Minimum number of active job postings."
          },
          "organization_num_jobs_range_max": {
            "title": "Number of Jobs (Max)",
            "minimum": 0,
            "type": "integer",
            "description": "Maximum number of active job postings."
          },
          "organization_job_posted_at_range_min": {
            "title": "Job Posted Date (From)",
            "type": "string",
            "description": "Earliest date when jobs were posted (YYYY-MM-DD)."
          },
          "organization_job_posted_at_range_max": {
            "title": "Job Posted Date (To)",
            "type": "string",
            "description": "Latest date when jobs were posted (YYYY-MM-DD)."
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}